FreeMat

- Main Page
- Related Pages

vtkStreamPoints

Section: Visualization Toolkit Graphics Classes

# Usage

vtkStreamPoints is a filter that generates points along a streamer. The points are separated by a constant time increment. The resulting visual effect (especially when coupled with vtkGlyph3D) is an indication of particle speed.

To create an instance of class vtkStreamPoints, simply invoke its constructor as follows

      obj = vtkStreamPoints

# Methods

The class vtkStreamPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStreamPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStreamPoints = obj.NewInstance ()`
- `vtkStreamPoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetTimeIncrement (double )` - Specify the separation of points in terms of absolute time.
- `double = obj.GetTimeIncrementMinValue ()` - Specify the separation of points in terms of absolute time.
- `double = obj.GetTimeIncrementMaxValue ()` - Specify the separation of points in terms of absolute time.
- `double = obj.GetTimeIncrement ()` - Specify the separation of points in terms of absolute time.